MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004622ardourbugspublic2012-01-09 15:362012-06-15 19:20
Reporterjoegiampaoli 
Assigned Topaul 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN/2.0-ongoing 
Target Version2.8.13Fixed in Version 
Summary0004622: INVADA plugins crash Ardour and Mixbus when removing them from strips
DescriptionHi guys, just wanted to report this issue that when I remove an INVADA LV2 plugin from a strip it always crashes Ardour2 and Mixbus 2.0.5, but everything is fine with Ardour3. This mostly happens after opening the LV2 GUI plugin window and closing it, after that removing it from the strip it completely crashes the DAW.

This bug is is NOT affecting Ardour3, so I think it might be something to do with Ardour2 core source which Mixbus is also forked from.

I already got in touch with Ben Loftis at Harrison and the INVADA devs, they are looking into this but thought I might report here as well.

Thanks and cheers!

Joe
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0012541)
joegiampaoli (reporter)
2012-01-10 13:44

I just checked the source and saw there were changes in the LV2 gui for Ardour2, so I downloaded and compiled, now I did more testing with the INVADA plugins and all seems to be fine now, no crashes at the moment when removing them after displaying their GUI's. Was this the fix? I should report over to INVADA devs but I'll wait for you to let me know if this was the issue and if it was Ardour related.

Thanks
(0013548)
paul (administrator)
2012-06-15 19:20

yes, this was fixed by a variety of LV2-related fixes and changes.

- Issue History
Date Modified Username Field Change
2012-01-09 15:36 joegiampaoli New Issue
2012-01-09 15:37 cth103 cost => 0.00
2012-01-09 15:37 cth103 Target Version => 2.8.13
2012-01-10 13:44 joegiampaoli Note Added: 0012541
2012-06-15 19:20 paul Note Added: 0013548
2012-06-15 19:20 paul Status new => resolved
2012-06-15 19:20 paul Resolution open => fixed
2012-06-15 19:20 paul Assigned To => paul


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker